<?php

declare(strict_types=1);

namespace External\ZNZBundle\Admin\Tabs;

use KupShop\AdminBundle\Admin\WindowTab;
use KupShop\SynchronizationBundle\Util\SynchronizationConfiguration;

class ZNZSettingsTab extends WindowTab
{
    protected $title = 'flapSettingsZNZ';
    protected $template = 'window/settings.znz.tpl';

    /** @required */
    public SynchronizationConfiguration $synchronizationConfiguration;

    public static function getTypes()
    {
        return [
            'settings' => 0,
        ];
    }

    public function getLabel()
    {
        return 'ZNZ';
    }

    public function handleUpdate()
    {
        $this->synchronizationConfiguration->clear('znz');
    }
}
